Package com.io7m.idstore.user_client.internal

# Record Class IdUNewHandler

java.lang.Object
java.lang.Record
com.io7m.idstore.user_client.internal.IdUNewHandler

Record Components:
  `userLoggedIn` - The user that logged in
  `handler` - The protocol handler

public record IdUNewHandler(IdUser userLoggedIn, IdUClientProtocolHandlerType handler) extends Record
A newly negotiated protocol handler.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUNewHandler(IdUser userLoggedIn, IdUClientProtocolHandlerType handler)`
  A newly negotiated protocol handler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `IdUClientProtocolHandlerType`
  `handler()`
  Returns the value of the `handler` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `IdUser`
  `userLoggedIn()`
  Returns the value of the `userLoggedIn` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUNewHandler

    public IdUNewHandler(IdUser userLoggedIn, IdUClientProtocolHandlerType handler)
    A newly negotiated protocol handler.
    Parameters:
      `userLoggedIn` - The user that logged in
      `handler` - The protocol handler

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### userLoggedIn

    public IdUser userLoggedIn()
    Returns the value of the `userLoggedIn` record component.
    Returns:
      the value of the `userLoggedIn` record component

  - ### handler

    public IdUClientProtocolHandlerType handler()
    Returns the value of the `handler` record component.
    Returns:
      the value of the `handler` record component